The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

upgrade phpmyadmin to 3.x

Discussion in 'Database Discussions' started by vinteg, Feb 26, 2009.

  1. vinteg

    vinteg Member

    Joined:
    Oct 7, 2008
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    Hello!
    Is it possible upgrade phpmyadmin from 2.x to 3.x and how?

    Thanks!
     
  2. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    At this time, the latest version of phpMyAdmin we natively support is 2.11.9.4. Our developers are working on phpMyAdmin 3.x support, but I have no ETA on that.
     
  3. DjiXas

    DjiXas Well-Known Member

    Joined:
    Feb 10, 2007
    Messages:
    294
    Likes Received:
    0
    Trophy Points:
    16
    3.x is basically for mysql 5.1, right?
     
  4. vinteg

    vinteg Member

    Joined:
    Oct 7, 2008
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    and for 5.0.x as well
     
  5. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
  6. paszczak000

    paszczak000 Active Member

    Joined:
    Nov 29, 2007
    Messages:
    42
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Poland, Łódź
    It is possible to manually update phpMyAdmin? If yes, how can I do this?
     
  7. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    Upgrading phpMyAdmin to a version beyond what our quality assurance team has deemed sufficiently stable for a production environment is not advised. phpMyAdmin will be updated via a cPanel update once we support a new version of phpMyAdmin.
     
  8. DougAlder

    DougAlder Registered

    Joined:
    Jun 22, 2009
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    THat version of phpMyAdmin is a big security risk

    From SANS phpMyAdmin Scans


    well past time to upgrade
     
  9. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    cPanel/WHM currently uses phpMyAdmin 2.11.9.5, which according to PMASA-2009-4 is not affected by this issue.

    Have you been able to find documentation to show phpMyAdmin 2.11.x is affected by this?
     
  10. acenetryan

    acenetryan Well-Known Member
    PartnerNOC

    Joined:
    Aug 21, 2005
    Messages:
    197
    Likes Received:
    1
    Trophy Points:
    18
    Are there any updates on an ETA for when phpMyAdmin 3.x is going to be provided with cPanel? I just submitted a bug report to the phpMyAdmin devs and they pushed a fix through to 3.2.2, but obviously we won't get to take advantage of the patch.
     
  11. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    At this time, I have no ETA on when phpMyAdmin 3 will become natively supported in cPanel/WHM itself. However, we are working on phpMyAdmin 3 support and addressing the concerns that come with phpMyAdmin 3 support. Internal Case 12270
     
Loading...

Share This Page